summaryrefslogtreecommitdiff
path: root/local-pod-man
diff options
context:
space:
mode:
Diffstat (limited to 'local-pod-man')
-rwxr-xr-xlocal-pod-man13
1 files changed, 13 insertions, 0 deletions
diff --git a/local-pod-man b/local-pod-man
new file mode 100755
index 0000000..3c3e0ea
--- /dev/null
+++ b/local-pod-man
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+
+case "$#.$1" in
+1.[^-]*) ;;
+*) echo >&2 'usage: ./local-pod-man dgit-something[.7[.pod]]'; exit 16;;
+esac
+base="$1"
+base="${base%.pod}"
+base="${base%.7}"
+
+make "$base.7"
+man -l "$base.7"